/*
 * image.h
 *
 *  Created on: Oct 19, 2013
 *      Author: Heca
 */

#ifndef IMAGE_H_
#define IMAGE_H_

#include <fcntl.h>

struct pbm_image
{
	int width;

	int height;

	char *data;
};

void pbm_image_initx( struct pbm_image *img );
int pbm_image_from_file( struct pbm_image *img, const char *filename );
int pbm_image_get_rand_black_point( struct pbm_image *img, int *width, int *height );
int pbm_image_is_black_point( struct pbm_image *img, int width, int height );

#endif /* IMAGE_H_ */
